/// <reference types="node" />
import type { Worker, WorkerOptions } from "node:worker_threads";
export declare function getWorkerURLForImportURL(relative: string, url: string | URL): URL;
export declare function getNodeWorkerForImportURL<T>(relative: string, url: string | URL, options?: WorkerOptions): Promise<Worker>;
/**
 * @param url
 * @param options used when new pool created for url, not used if exists
 */
export declare function getNodeWorker<T>(url: string | URL, options?: WorkerOptions): Promise<Worker>;
